To All SAP Agentry/SMP 3.0 users,

SAP Global Services and Support (GSS – One Service) tries to be proactive in giving an announcement to the customers prior to more issues to show. We value your time in using our products and we always try to fix issues and give the best solution out to the customer.

Unfortunately based on some internal and external installation of SAP Mobile Platform SDK 3.0 (Agentry) in SP08 to SP10, the SAP Agentry team believed that there is a Microsoft .NET patch issue with the software that makes the Agentry client incompatible.

This causes the Agentry WPF/ATE client software problems as follows:

  • Unable to install
  • Unable to launch or transmit successfully
  • Others

To resolve this issue you will need to upgrade your version of the Microsoft .NET Framework.

Please see SAP KBA # 2251979 – Agentry WPF – Editor Agentry Test Environment (ATE) – Not working – does not support .NET Framework 4.6 for reference.

Additional notes:

  • SMP 3.0 SDK SP10 supports .NET 4.5.2 and lower (may have some known limitation – see link above)
  • SMP 3.0 SDK SP11 included support for .NET 4.6.1 (~target release date Feb. (1st~2nd) week 2016 – may change without due notice)
  • .NET 4.6 not supported by SMP 3.0 SDK (by any Service Pack)

Best Regards,

Mark Pe
SAP Platinum Support Engineer

To report this post you need to login first.

Be the first to leave a comment

You must be Logged on to comment or reply to a post.

Leave a Reply